Page MenuHomePhabricator

Improve Wikistats2 map zoom
Closed, ResolvedPublic5 Story Points

Description

  • When panning to the top of the map and then scrolling close to the top, the map zooms in a weird "diagonal" way.
  • When scrolling up or down and reaching the zoom limit, the page starts to scroll.

Both should be fixed

Details

Related Gerrit Patches:
analytics/wikistats2 : masterImproved wikistats2 map zoom

Event Timeline

mforns created this task.Jul 5 2018, 2:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2018, 2:42 PM
Milimetric triaged this task as Normal priority.Jul 5 2018, 4:32 PM
Milimetric raised the priority of this task from Normal to Needs Triage.
Milimetric moved this task from Incoming to Wikistats Beta on the Analytics board.
Milimetric moved this task from Wikistats Beta to Smart Tools for Better Data on the Analytics board.
Milimetric moved this task from Smart Tools for Better Data to Mentoring on the Analytics board.
mforns added a comment.Jul 6 2018, 2:14 PM

if the first problem "diagonal zoom" takes a lot of time to solve, don't bother

sahil505 claimed this task.Jul 7 2018, 8:07 AM
sahil505 added a project: Analytics-Kanban.
sahil505 triaged this task as Normal priority.Jul 8 2018, 5:51 PM
sahil505 set the point value for this task to 5.

Change 446610 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Improved wikistats2 map zoom

https://gerrit.wikimedia.org/r/446610

Change 446610 merged by Mforns:
[analytics/wikistats2@master] Improved wikistats2 map zoom

https://gerrit.wikimedia.org/r/446610

fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Aug 30 2018, 3:57 PM
Nuria closed this task as Resolved.Aug 30 2018, 9:47 PM